#ifndef DATABASE_H
#define DATABASE_H
#include <QSqlDatabase>
#include <QSqlError>
#include <QSqlQuery>
#include <QVector>
#include <QString>

class DataBase
{
public:
    static DataBase *getInstance();  //静态的获取数据库对象的函数

    //插入一个用户信息
    bool insertUsr(QString name,QString pwd);

    //根据name查找用户
    bool findUsr(QString name);

    QString findCode(QString name);

    //匹配name和pwd
    bool match(QString name, QString pwd);

    //删除用户信息
    bool Delete(QString name);

    void insertCode(QString name, QString code, QString number);

    QString matchCode(QString name, QString code);

    void resetCode(QString name);

    DataBase();

    QSqlDatabase db_;
};

#endif // DATABASE_H

