#ifndef LINE_H
#define LINE_H

#include <QString>
#include <QSqlDatabase>
#include <QSqlError>
#include <QSqlQuery>
#include <QVector>
#include <QSqlQueryModel>
#include <QSqlQuery>

class Line
{
public:

    Line();

    static Line *getInstance();  //静态的获取数据库对象的函数

    QString findCode(QString number);

    QString choose();

    void setState(QString number);

    void resetState(QString number);

    int getCount();

private:

    QSqlDatabase db_;
};

#endif // LINE_H
